Subject: Re: Filter log based on paths NOT touched

From: Phillip Susi <[email-masked]>
Date: Mon, 25 Nov 2013 23:34:36 -0500

On 11/25/2013 10:13 PM, Duy Nguyen wrote:
> There's a difference between "skip commits that touch anything
> directory foo even if it also touches something outside of foo" and
> "skip commits that _only_ touches something in foo". Not sure which
> way Phillip wants here. Negative pathspec only supports the latter.
> The former needs a new option in rev-list, because the logic to
> consider a commit not a match if it matches a pathspec is out of
> tree_entry_interesting()'s control.

I'm looking for the latter.  Specifically I'm trying to see what changes to the upstream code a debian package has made so I need to ignore commits that only change things in debian/.